Pagina 1 di 1

Aggiornamento 1.5.5.1 --> 2.3.0.2

Messaggio da leggereInviato: 15 dic 2017 12:10
da sepscirocco
Salve,
sono riuscito ad aggiornare opencart come da oggetto.
la parte admin funziona perfettamente, mentre quando tento di aprire il sito frontoffice viene visualizzato il seguente errore:

Fatal error: Call to undefined method ControllerErrorNotFound::render() in /web/htdocs/www.shopbudella.com/home/admin/controller/error/not_found.php on line 32

il file not_found.php contiene:

Codice: Seleziona tutto
<?php   
class ControllerErrorNotFound extends Controller {   
   public function index() {
       $this->language->load('error/not_found');
 
       $this->document->setTitle($this->language->get('heading_title'));

       $data['heading_title'] = $this->language->get('heading_title');

      $data['text_not_found'] = $this->language->get('text_not_found');

        $data['breadcrumbs'] = array();

         $data['breadcrumbs'][] = array(
             'text'      => $this->language->get('text_home'),
         'href'      => $this->url->link('common/home', 'token=' . $this->session->data['token'], 'SSL'),
            'separator' => false
       );

         $data['breadcrumbs'][] = array(
            'text'      => $this->language->get('heading_title'),
         'href'      => $this->url->link('error/not_found', 'token=' . $this->session->data['token'], 'SSL'),
            'separator' => ' :: '
         );

      $this->template = 'error/not_found.tpl';
      $this->children = array(
         'common/header',
         'common/footer'
      );
            
      $this->response->setOutput($this->render());   
     }
}
?>


sto impazzendo cercando su google da due giorni.

Riuscite a darmi una mano?

Re: Aggiornamento 1.5.5.1 --> 2.3.0.2

Messaggio da leggereInviato: 18 dic 2017 13:49
da sepscirocco
Non c'è nessuno che mi aiuta??? Sto fermo e non riesco a risolvere
Grazie molto

Re: Aggiornamento 1.5.5.1 --> 2.3.0.2

Messaggio da leggereInviato: 20 dic 2017 15:25
da rmassimi
Ciao,
non è che hai qualche modulo installato della 1.5 che non gira sulla 2.3?

hai provato a disabilitare eventuali moduli installati?

Roberto

Re: Aggiornamento 1.5.5.1 --> 2.3.0.2

Messaggio da leggereInviato: 21 dic 2017 13:22
da sepscirocco
ho disabilitato tutti i moduli precedentemente installati

Re: Aggiornamento 1.5.5.1 --> 2.3.0.2

Messaggio da leggereInviato: 27 mar 2018 16:58
da deepvyas
I can help you, if interested

Re: Aggiornamento 1.5.5.1 --> 2.3.0.2

Messaggio da leggereInviato: 04 apr 2018 09:52
da domtric80
Ciao come hai fatto l'aggiornamento?